cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sergey Grebnov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-5337) Windows8 build fails due to invalid app version
Date Mon, 18 Nov 2013 16:59:25 GMT

    [ https://issues.apache.org/jira/browse/CB-5337?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13825475#comment-13825475
] 

Sergey Grebnov commented on CB-5337:
------------------------------------

Disagree with comment above "Fixed in a more clean way in CB-5400". That fix does not look
better and even does not work for version "1.0" which is valid in terms of Apache Cordova.
We don't have restriction to version format, we just recommend to use x.x.x version

> Windows8 build fails due to invalid app version
> -----------------------------------------------
>
>                 Key: CB-5337
>                 URL: https://issues.apache.org/jira/browse/CB-5337
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, Windows 8
>         Environment: Windows8
>            Reporter: Sergey Grebnov
>            Assignee: Jesse MacFadyen
>
> package.appxmanifest(3,85): error APPX3022: App manifest validation failed. Value '0.0.1'
of attribute '/Package/Identity/@Version' must contain a valid four-part version number. [c:\..\mobilespec\platforms\windows8\CordovaApp.jsproj]
> This is because by default Apacge Cordova recommends to use three-digits version number,
https://build.phonegap.com/docs/config-xml
> 'version: for best results, use a major/minor/patch style version, with three numbers,
such as 0.0.1'
> But Windows Store app requires app version to be four-digits number: <major version>.<minor
version>.<build number>.<revision>
> So we should manually add required version part at the end.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message